POST bookedClasses/{bookedClassId}/materials/{materialId}/assignments
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user who is either StaffMember
- Authenticated user passes at least one of the following conditions: Authenticated user is a staff member and is assigned to the same center as a user who matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request. Authenticated user is a staff member and is assigned to the online center as a user who matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request. Authenticated user matches a students who is assigned to material specified by "bookedClassId" uri parameter or by content of request.
- Authenticated user matches a teacher who is assigned to material specified by "materialAssignmentParameters" uri parameter or by content of request.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| bookedClassId | string |
Required |
|
| materialId | globally unique identifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Wse.Models.MaterialAssignmentParameters| Name | Description | Type | Additional information |
|---|---|---|---|
| StudentsIds | Collection of globally unique identifier |
None. |
|
| TeacherId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"StudentsIds": [
"d9d52305-6c1d-4ac0-8cf3-c062397e1baa",
"99be8304-8077-4554-acc5-30a7ae2477e6"
],
"TeacherId": "89b01001-27a7-49ce-aeec-8cf2b4cd48ad"
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.